start:	call	52h		;ROM: RET
	dec	sp
	dec	sp
	pop	hl
	ld	bc,32
	add	hl,bc
	ld	sp,(23730)	;5CB2: Address of last byte of BASIC system area
	dec	sp
	push	hl
	ld	(23613),sp	;5C3D: Address of item on machine stack to use as error return
	ld	hl,1000		;číslo řádku kam skočit
	xor	a
	ld	(23620), a	;5C44: NSPPC - Statement number in line to be jumped to
	dec	a
	ld	(23610), a	;5C3A: ERR-NR - One less than the error report code
	ei
	jp	1B9Eh		;ROM: THE 'LINE-NEW' SUBROUTINE

error:	ld	a,(23610)	;5C3A: ERR-NR - One less than the error report code
	cp	12		;D BREAK - CONT repeats
	jr	z,start
	cp	16		;H STOP in INPUT
	jr	z,start
	cp	20		;L BREAK into program
	jr	z,start
	inc	a
	push	af
	call	0D6Eh
	ld	hl,23612	;5C3Ch: TV-FLAG - Flags associated with the television
	set	5,(hl)		;Set when the lower screen needs clearing
	ld	a,127
	rst	16		;ROM: THE 'PRINT A CHARACTER' RESTART
	ld	a,"S"
	rst	16		;ROM: THE 'PRINT A CHARACTER' RESTART
	ld	a,"N"
	rst	16		;ROM: THE 'PRINT A CHARACTER' RESTART
	ld	a," "
	rst	16		;ROM: THE 'PRINT A CHARACTER' RESTART
	pop	af
	ld	b,a
	cp	10
	jr	c,erprn
	add	a,7
erprn:	call	15EFh		;ROM: THE 'MAIN PRINTING' SUBROUTINE
	ld	a," "
	rst	16		;ROM: THE 'PRINT A CHARACTER' RESTART
	ld	a,b
	ld	de,1391h	;ROM: THE REPORT MESSAGES
	call	0C0Ah		;ROM: THE 'MESSAGE PRINTING' SUBROUTINE
	xor	a
	ld	de,1536h	;ROM: COMMA_SPC in REPORT MESSAGES
	call	0C0Ah		;ROM: THE 'MESSAGE PRINTING' SUBROUTINE
	ld	bc,(23621)	;5C45: PPC - Line number of statement being executed
	call	1A1Bh		;ROM: THE 'REPORT AND LINE NUMBER PRINTING' SUBROUTINE
	ld	a,":"
	rst	16		;ROM: THE 'PRINT A CHARACTER' RESTART
	ld	c,(iy+13)	;5C47: SUBPPC - Number within line of statement being executed
	ld	b,0
	call	1A1Bh		;ROM: THE 'REPORT AND LINE NUMBER PRINTING' SUBROUTINE
	call	15D4h		;ROM: THE 'WAIT-KEY' SUBROUTINE
	ld	a,(23610)	;5C3A: ERR-NR - One less than the error report code
	cp	255
	jr	nz,start
	ld	hl,(23613)	;5C3D: ERR-SP - Address of item on machine stack to use as error return
	ld	(hl),3
	inc	hl
	ld	(hl),13h
	jp	1303h		;ROM: MAIN_4 - After the line has been interpreted....
